apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: {{ svc_name }}-{{ namespace }}
  namespace: {{ istio_namespace | default(namespace) }}
spec:
  gateways:
{% for gw in istio_gateways | default(['istio-gateway']) %}
  - {{ gw }}
{% endif %}
  hosts:
  - {{ svc_host }}
  http:
  - match:
    - uri:
        prefix: /
    route:
    - destination:
        host: {{ svc_name }}.{{ namespace }}.svc.{{ cluster_domain }}
        port:
          number: {{ svc_port }}
